Bug 653068 - Upgrading NFS server to 2.6.37 release
Summary: Upgrading NFS server to 2.6.37 release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: yanfu,wang
URL:
Whiteboard:
: 634438 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 10:54 UTC by Steve Dickson
Modified: 2018-11-14 16:13 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.32-90.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 12:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
pynfs log on i386 (45.02 KB, application/octet-stream)
2011-04-01 09:09 UTC, yanfu,wang
no flags Details
pynfs log on x86_64 (46.73 KB, application/octet-stream)
2011-04-07 03:03 UTC, yanfu,wang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Steve Dickson 2010-11-14 10:54:59 UTC
Description of problem:
To put RHEL6 in a position to have NFS4.1 support the server
has stay up with the current upstream release.

Comment 1 RHEL Program Management 2010-11-14 11:09:25 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 3 Aristeu Rozanski 2010-12-13 19:51:42 UTC
Patch(es) available on kernel-2.6.32-90.el6

Comment 6 J. Bruce Fields 2011-02-01 15:45:29 UTC
*** Bug 634438 has been marked as a duplicate of this bug. ***

Comment 7 yanfu,wang 2011-04-01 09:09:30 UTC
Created attachment 489325 [details]
pynfs log on i386

Comment 8 yanfu,wang 2011-04-01 09:10:41 UTC
(In reply to comment #6)
> *** Bug 634438 has been marked as a duplicate of this bug. ***

hi J.Bruce,
I run pynfs on RHEL6.1 and verified bz634438 problem fixed, but there are two new problems occurs on, could you help to look at it?
first question, pynfs initialization failed on x86_64 arch and i386 has no problem of it.
# ./testserver.py --outfile TESTOUT.log --maketree localhost:/nfs all
noutf8 | tee -a pynfs_log
Starting Call Back server stub on port 48313
Starting Call Back server stub on port 48513
Initialization failed, no tests run.
Creating file /nfs/tree/file: operation OP_OPEN should return NFS4_OK,
instead got NFS4ERR_GRACE

[root@hp-xw6400-02 pynfs]# uname -a
Linux hp-xw6400-02.lab.bos.redhat.com 2.6.32-122.el6.x86_64 #1 SMP Wed
Mar 9 23:54:34 EST 2011 x86_64 x86_64 x86_64 GNU/Linux
[root@hp-xw6400-02 pynfs]# rpm -qa|grep nfs-utils
nfs-utils-1.2.3-4.el6.x86_64
nfs-utils-lib-1.1.5-3.el6.x86_64

So do you know how should I do? Btw, I run according to http://fedoraproject.org/wiki/QA:Testcase_nfs_pynfs


second question, I compared the test result on i386 with known failures and
there are extra failure occurs on, could you help to check below failure? Attached is the full log if you need.
RD9      st_read.testBadStateid                                   :
FAILURE
           READ with bad stateid should return
           NFS4ERR_BAD_STATEID, instead got NFS4ERR_EXPIRED

WRT10    st_write.testBadStateid                                  :
FAILURE
           WRITE with bad stateid should return
           NFS4ERR_BAD_STATEID, instead got NFS4ERR_EXPIRED

Thanks in advance.

Comment 9 J. Bruce Fields 2011-04-04 20:38:15 UTC
"Creating file /nfs/tree/file: operation OP_OPEN should return NFS4_OK,
instead got NFS4ERR_GRACE"

Just add a delay after starting the nfs server that is longer than the grace period, before running the tests.

(One way to do this is just to mount the server and open a file, e.g. with "cat /mnt/somefile"; the open won't normally succeed till the grace period ends.)

I believe the RD9 and WRT10 failures can safely be ignored.

Comment 10 yanfu,wang 2011-04-07 03:02:52 UTC
(In reply to comment #9)
> "Creating file /nfs/tree/file: operation OP_OPEN should return NFS4_OK,
> instead got NFS4ERR_GRACE"
> 
> Just add a delay after starting the nfs server that is longer than the grace
> period, before running the tests.
> 
> (One way to do this is just to mount the server and open a file, e.g. with "cat
> /mnt/somefile"; the open won't normally succeed till the grace period ends.)
> 
> I believe the RD9 and WRT10 failures can safely be ignored.

thank you, pynfs test passed on x86_64 and no extra issue found.

Comment 11 yanfu,wang 2011-04-07 03:03:33 UTC
Created attachment 490466 [details]
pynfs log on x86_64

Comment 12 yanfu,wang 2011-04-07 06:07:24 UTC
code review and verified that these patch applied is sane.

Comment 13 errata-xmlrpc 2011-05-19 12:42:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.